Teams
GET
/organizations/{organizationId}/teams
List the teams inside an organization.
Abfrageparameter
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
Antwort-Payload
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
results.name
string
erforderlich
results.description
string
erforderlich
results.visibility
string
erforderlich
Possible values: public, private
results.accessibility
string
erforderlich
Possible values: open, request-to-join, invite-only
results.activeMemberCount
integer
erforderlich
results.pendingMemberCount
integer
erforderlich
results.featuredMembers
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.featuredMembers.type
string
erforderlich
Possible values: user
results.featuredMembers.id
string
erforderlich
results.roleRefs
array of object
The list of roles assigned to the team
Untergeordnete Attribute anzeigen
results.roleRefs.id
string
erforderlich
results.roleRefs.type
string
erforderlich
Possible values: organization, managed
results.roleRefs.workspaces
array of string
results.createdAt
string
erforderlich
results.updatedAt
string
erforderlich
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/teams
Create a new team inside the organization.
Anfrage-Payload
name
string
erforderlich
description
string
erforderlich
roleRefs
array of object
The list of roles assigned to the team
Untergeordnete Parameter anzeigen
roleRefs.id
string
erforderlich
roleRefs.type
string
erforderlich
Possible values: organization, managed
roleRefs.workspaces
array of string
Antwort-Payload
id
string
erforderlich
name
string
erforderlich
description
string
erforderlich
visibility
string
erforderlich
Possible values: public, private
accessibility
string
erforderlich
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
erforderlich
pendingMemberCount
integer
erforderlich
featuredMembers
array of object
erforderlich
Untergeordnete Attribute anzeigen
featuredMembers.type
string
erforderlich
Possible values: user
featuredMembers.id
string
erforderlich
roleRefs
array of object
The list of roles assigned to the team
Untergeordnete Attribute anzeigen
roleRefs.id
string
erforderlich
roleRefs.type
string
erforderlich
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X POST 'https://api.bird.com/organizations/{organizationId}/teams' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/teams/{teamId}
Retrieve a single team.
Antwort-Payload
id
string
erforderlich
name
string
erforderlich
description
string
erforderlich
visibility
string
erforderlich
Possible values: public, private
accessibility
string
erforderlich
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
erforderlich
pendingMemberCount
integer
erforderlich
featuredMembers
array of object
erforderlich
Untergeordnete Attribute anzeigen
featuredMembers.type
string
erforderlich
Possible values: user
featuredMembers.id
string
erforderlich
roleRefs
array of object
The list of roles assigned to the team
Untergeordnete Attribute anzeigen
roleRefs.id
string
erforderlich
roleRefs.type
string
erforderlich
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/teams/{teamId}
Delete a team from an organization.
Codebeispiel
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/teams/{teamId}
Update a team's details.
Anfrage-Payload
name
string
description
string
roleRefs
array of object
The list of roles assigned to the team
Untergeordnete Parameter anzeigen
roleRefs.id
string
erforderlich
roleRefs.type
string
erforderlich
Possible values: organization, managed
roleRefs.workspaces
array of string
Antwort-Payload
id
string
erforderlich
name
string
erforderlich
description
string
erforderlich
visibility
string
erforderlich
Possible values: public, private
accessibility
string
erforderlich
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
erforderlich
pendingMemberCount
integer
erforderlich
featuredMembers
array of object
erforderlich
Untergeordnete Attribute anzeigen
featuredMembers.type
string
erforderlich
Possible values: user
featuredMembers.id
string
erforderlich
roleRefs
array of object
The list of roles assigned to the team
Untergeordnete Attribute anzeigen
roleRefs.id
string
erforderlich
roleRefs.type
string
erforderlich
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'